Skip to main content
POST
/
extern
/
svr
/
{accountTypeId}
/
account
/
{accountId}
/
intent
/
{intentId}
/
quote
/
deposit
Configure session as a deposit and return a quote
curl --request POST \
  --url https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId}/quote/deposit \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "chainId": "<string>",
  "inputAssetAddress": "<string>",
  "eoa": "<string>",
  "amount": "<string>"
}
'
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    chainId: '<string>',
    inputAssetAddress: '<string>',
    eoa: '<string>',
    amount: '<string>'
  })
};

fetch('https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId}/quote/deposit', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId}/quote/deposit"

payload = {
    "chainId": "<string>",
    "inputAssetAddress": "<string>",
    "eoa": "<string>",
    "amount": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "status": "<string>",
  "data": {
    "intentId": "<string>",
    "expiresAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "externalRef": "<string>",
    "requestParams": "<unknown>",
    "quoteSummary": "<unknown>",
    "lockedAt": "2023-11-07T05:31:56Z",
    "lockedBy": "<string>",
    "txHashes": [
      "<string>"
    ],
    "chainIds": [
      123
    ],
    "settledAt": "2023-11-07T05:31:56Z",
    "errorMessage": "<string>",
    "payload": "<unknown>"
  }
}
{
  "status": "<string>",
  "message": "<string>"
}
{
  "status": "<string>",
  "message": "<string>"
}
{
  "status": "<string>",
  "message": "<string>"
}
{
  "status": "<string>",
  "message": "<string>"
}
{
  "status": "<string>",
  "message": "<string>"
}
{
  "status": "<string>",
  "message": "<string>"
}
{
  "status": "<string>",
  "message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Server-to-server API key

Path Parameters

accountTypeId
string
required
accountId
string<uuid>
required
intentId
string<uuid>
required

Body

application/json
chainId
required
inputAssetAddress
string
required
eoa
string
required
amount
string
required
Pattern: ^(?:0|[1-9]\d*)$

Response

Success

status
string
required
Allowed value: "success"
data
object
required
Last modified on July 3, 2026